Ruby: rb_method_definition_struct Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Public Member Functions | Data Fields
rb_method_definition_struct Struct Reference

## Public Member Functions
| BITFIELD (rb_method_type_t, type, VM_METHOD_TYPE_MINIMUM_BITS)

## Data Fields
unsigned int | iseq_overload: 1
unsigned int | no_redef_warning: 1
unsigned int | aliased: 1
int | reference_count: 28
union { |
rb_method_iseq_t iseq |
rb_method_cfunc_t cfunc |
rb_method_attr_t attr |
rb_method_alias_t alias |
rb_method_refined_t refined |
rb_method_bmethod_t bmethod |
rb_method_optimized_t optimized |
} | body |
ID | original_id
uintptr_t | method_serial

## Detailed Description

Definition at line 179 of file method.h.

## Field Documentation

## ◆ alias

rb_method_alias_t rb_method_definition_struct::alias

Definition at line 190 of file method.h.

## ◆ aliased

unsigned int rb_method_definition_struct::aliased

Definition at line 183 of file method.h.

## ◆ attr

rb_method_attr_t rb_method_definition_struct::attr

Definition at line 189 of file method.h.

## ◆ bmethod

rb_method_bmethod_t rb_method_definition_struct::bmethod

Definition at line 192 of file method.h.

## ◆ cfunc

rb_method_cfunc_t rb_method_definition_struct::cfunc

Definition at line 188 of file method.h.

## ◆ iseq

rb_method_iseq_t rb_method_definition_struct::iseq

Definition at line 187 of file method.h.

## ◆ iseq_overload

unsigned int rb_method_definition_struct::iseq_overload

Definition at line 181 of file method.h.

## ◆ method_serial

uintptr_t rb_method_definition_struct::method_serial

Definition at line 197 of file method.h.

## ◆ no_redef_warning

unsigned int rb_method_definition_struct::no_redef_warning

Definition at line 182 of file method.h.

## ◆ optimized

rb_method_optimized_t rb_method_definition_struct::optimized

Definition at line 193 of file method.h.

## ◆ original_id

ID rb_method_definition_struct::original_id

Definition at line 196 of file method.h.

## ◆ reference_count

int rb_method_definition_struct::reference_count

Definition at line 184 of file method.h.

## ◆ refined

rb_method_refined_t rb_method_definition_struct::refined

Definition at line 191 of file method.h.

The documentation for this struct was generated from the following file:

- method.h